RegionType (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.management.configuration

## Enum RegionType

- java.lang.Object
- - java.lang.Enum<RegionType>
  - - org.apache.geode.management.configuration.RegionType

- All Implemented Interfaces:
    Serializable, Comparable<RegionType>

      @Experimental
      public enum RegionType
      extends Enum<RegionType>

  these are the region types supported by Cluster Management V2 API. these corresponds to a subset of data policies

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEGACY`
    `PARTITION`
    `PARTITION_PERSISTENT`
    `PARTITION_PROXY`
    `REPLICATE`
    `REPLICATE_PERSISTENT`
    `REPLICATE_PROXY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RegionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `boolean` | `withPartition()`
    `boolean` | `withPersistent()`
    `boolean` | `withProxy()`
    `boolean` | `withReplicate()`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARTITION

          public static final RegionType PARTITION

    - #### PARTITION_PERSISTENT

          public static final RegionType PARTITION_PERSISTENT

    - #### PARTITION_PROXY

          public static final RegionType PARTITION_PROXY

    - #### REPLICATE

          public static final RegionType REPLICATE

    - #### REPLICATE_PERSISTENT

          public static final RegionType REPLICATE_PERSISTENT

    - #### REPLICATE_PROXY

          public static final RegionType REPLICATE_PROXY

    - #### LEGACY

          public static final RegionType LEGACY

  - ### Method Detail

    - #### values

          public static RegionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionType c : RegionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### withProxy

          public boolean withProxy()

      Returns:
        if the type contains "PROXY"

    - #### withPersistent

          public boolean withPersistent()

      Returns:
        if the type contains "PERSISTENT"

    - #### withReplicate

          public boolean withReplicate()

      Returns:
        if the type contains "REPLICATE"

    - #### withPartition

          public boolean withPartition()

      Returns:
        if the type contains "PARTITION"